﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-12.0.0.0" newVersion="12.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Formatting" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.2.7.0" newVersion="5.2.7.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Portal.Core" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.186.0.0" newVersion="7.186.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Portal.Framework" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-7.186.0.0" newVersion="7.186.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <loadFromRemoteSources enabled="true" />
  </runtime>
  <appSettings>
    <add key="TestFramework.WebDriver.Browser" value="Chrome" />
    <add key="TestFramework.WebDriver.DirectoryPath" value="C:\RekhaProjects\ADBPortalTests\PortalUItest\packages\WebDriver.ChromeDriver.win32.89.0.4389.23\content" />
    <!-- Amount of time to wait for the Portal to load before timing out (seconds) -->
    <add key="TestFramework.Portal.PortalLoadTimeOut" value="200" />
    <!-- The uri of the target Portal server -->
    <add key="PortalUri" value="https://portal.azure.com" />
    <!-- The default webdriver server timeout for requests to be processed and returned (not the same as the waitUntil timeout) -->
    <add key="TestFramework.WebDriver.DefaultTimeout" value="120" />
    <add key="userName" value="" />
    <add key="password" value="" />
    <!--<add key="ClientSettingsProvider.ServiceUri" value="" />-->
  </appSettings>
</configuration>